### Constructor

# Gsk.ContainerNode.new

#### Declaration [src]

    GskRenderNode*
    gsk_container_node_new (
      GskRenderNode** children,
      guint n_children
    )

#### Description [src]

Creates a new `GskRenderNode` instance for holding the given `children`.

The new node will acquire a reference to each of the children.

#### Parameters

`children` | An array of `GskRenderNode`
| The children of the node
| The length of the array is in the `n_children` argument
| Ownership is not transferred to the callee
`n_children` | `guint`
| Number of children in the `children` array

#### Return value

Returns: `GskContainerNode`
the new `GskRenderNode`
Ownership of the data is transferred to the caller